org.wildfly.swarm.microprofile.jwtauth.deployment.principal

## Class JWTAuthContextInfo

- java.lang.Object
- - org.wildfly.swarm.microprofile.jwtauth.deployment.principal.JWTAuthContextInfo

-     public class JWTAuthContextInfo
      extends Object

  The public key and expected issuer needed to validate a token.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTAuthContextInfo()`
    `JWTAuthContextInfo(JWTAuthContextInfo orig)`
    `JWTAuthContextInfo(RSAPublicKey signerKey, String issuedBy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getExpGracePeriodSecs()`
    `String` | `getIssuedBy()`
    `Integer` | `getJwksRefreshInterval()`
    `String` | `getJwksUri()`
    `RSAPublicKey` | `getSignerKey()`
    `List<JsonWebKey>` | `loadJsonWebKeys()`
    `void` | `setExpGracePeriodSecs(int expGracePeriodSecs)`
    `void` | `setIssuedBy(String issuedBy)`
    `void` | `setJwksRefreshInterval(Integer jwksRefreshInterval)`
    `void` | `setJwksUri(String jwksUri)`
    `void` | `setSignerKey(RSAPublicKey signerKey)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWTAuthContextInfo

          public JWTAuthContextInfo()

    - #### JWTAuthContextInfo

          public JWTAuthContextInfo(RSAPublicKey signerKey,
                                    String issuedBy)

    - #### JWTAuthContextInfo

          public JWTAuthContextInfo(JWTAuthContextInfo orig)

  - ### Method Detail

    - #### getSignerKey

          public RSAPublicKey getSignerKey()

    - #### loadJsonWebKeys

          public List<JsonWebKey> loadJsonWebKeys()

    - #### setSignerKey

          public void setSignerKey(RSAPublicKey signerKey)

    - #### getIssuedBy

          public String getIssuedBy()

    - #### setIssuedBy

          public void setIssuedBy(String issuedBy)

    - #### getExpGracePeriodSecs

          public int getExpGracePeriodSecs()

    - #### setExpGracePeriodSecs

          public void setExpGracePeriodSecs(int expGracePeriodSecs)

    - #### getJwksUri

          public String getJwksUri()

    - #### setJwksUri

          public void setJwksUri(String jwksUri)

    - #### getJwksRefreshInterval

          public Integer getJwksRefreshInterval()

    - #### setJwksRefreshInterval

          public void setJwksRefreshInterval(Integer jwksRefreshInterval)

Copyright © 2018 JBoss by Red Hat. All rights reserved.